ERROR not handled expection in KDE frontend: update-manager vanished during upgrade from feisty to gutsy

Bug #145351 reported by Ernst Kloppenburg on 2007-09-26
32
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Michael Vogt

Bug Description

While trying to upgrade a kubuntu system from feisty to gutsy, the upgrade-manager tool crashed and vanished completely. I started the upgrade with 'adept_manager --version-upgrade' and pressed the version upgrade button in adept.

The crash occured after the dialog where you are told that some packages are no longer supported and might be suggested to be removed in a later step.

It might be of relevance that I was logged into the machine via ssh -X while doing this.

Logfiles from /var/log/dist-upgrade follow.

sorry, I forgot to fill in the package name field when I created the bug

Adam Iglewski (adam-iglewski) wrote :

I have exactly the same error during upgrade process and I wast not logged via ssh. The only solution that worked for me was to change locales settings in /etc/environment to en_EN instead of pl_PL and then executing the script upgrade.py from /temp/kde-root/some_numbersUpgradeManager/upgrady.py (I'm not really sure if name of the script and directory are 100% correct) which was still there after upgrade-manager crashed. After that upgrade went fine.

kjkorhonen (kjkorhonen) wrote :

I have the same problem with locale "fi_FI.UTF-8", not logged via ssh.

kjkorhonen (kjkorhonen) wrote :

The error does not occur if in KDE System Settings I select English as the System Language and add English into the Locales' Languages list. Only selecting the system language does not help.

After changing the languages as described I logged out and in, and ran 'kdesu "adept_manager --version-upgrade"' from Konsole.

Michael Vogt (mvo) on 2007-10-01
Changed in update-manager:
assignee: nobody → mvo
status: Confirmed → Fix Committed
Michael Vogt (mvo) wrote :

update-manager (1:0.79) gutsy; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - do not log apts debug output to the user in server
      upgrade mode
    - when running in partial upgrade mode, do not run apport,
      this is handled by the libapt apport integration now,
      (LP:#139394)
  * DistUpgrade/DistUpgradeCache.py,DistUpgradeControler.py:
    - detect and workaround upgrade issues with envy
  * update-manager:
    - show version with --version (LP: #137353)
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash with invalid utf-8 in polish locale (LP: #145351)
  * UpdateManager/UpdateManager.py:
    - remove debug output (LP: #145494)
  * DistUpgrade/DistUpgradeControler.py:
    - fix lock detection (LP: #145463)
  * UpdateManager/Common/utils.py:
    - show "0 KB" download size if there is nothing to download
      (LP: #145308)
  * DistUpgrade/demoted.cfg, utils/demotions.py:
    - do not display demotions if they are replaced by something that is
      in main (e.g. gaim->pidgin, LP: #145767)
  * DistUpgrade/ReleaseAnnouncement:
    - update for the beta release
  * DistUpgrade/DistUpgradeControler.py:
    - fix typo in pre-requists (thanks to Stuart Bishop)
  * debian/control:
    - tighten update-manager depend on update-manager-core
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - move country_mirror code into Core (LP: #145116)
  * UpdateManager/Core/MetaReleaseCore.py,
    tests/interactive_fetch-release_upgrader.py:
    - fix test failure

 -- Michael Vogt <email address hidden> Mon, 01 Oct 2007 15:32:12 +0200

Changed in update-manager:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers